Bug 447815 - Crash with double free
Crash with double free
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sylpheed (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 18:08 EDT by Pete Zaitcev
Modified: 2008-06-02 15:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 15:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors (35.08 KB, text/plain)
2008-05-21 18:09 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2008-05-21 18:08:31 EDT
Description of problem:

Sylpheed crashes because glibc detects a corruption. Scenario triggering
the problem is not known at this time.

Version-Release number of selected component (if applicable):

sylpheed-2.5.0-0.3.rc.x86_64
glib2-2.16.3-5.fc10.x86_64
glibc-2.8.90-4.x86_64

How reproducible:

Unknown yet (will report)

Steps to Reproduce:
1. <<unknown (normal use)>>

Actual results:

Crash

Expected results:

No crash

Additional info:

Please see attached .xsession-errors.
Comment 1 Pete Zaitcev 2008-05-21 18:09:37 EDT
Created attachment 306320 [details]
.xsession-errors
Comment 2 Michael Schwendt 2008-05-22 05:16:55 EDT
I have a 100% reproducible test-case for a glibc double-free
and/or invalid-ptr crash and have fixed it. Please update when
the build hits rawhide and see whether it also fixes your problem:

http://koji.fedoraproject.org/koji/taskinfo?taskID=624220
Comment 3 Michael Schwendt 2008-06-02 15:55:29 EDT
Assuming it was the same as fixed in: sylpheed-2.5.0-0.4.rc

Note You need to log in before you can comment on or make changes to this bug.